package de.ivu.elect.business.wahlvorschlag.control;

import java.util.Collection;
import java.util.Collections;

import de.ivu.elect.business.konfiguration.control.AbstractKonfigurationInit;
import de.ivu.elect.business.konfiguration.entity.Konfiguration;
import de.ivu.elect.business.konfiguration.entity.KonfigurationInitContext;
import de.ivu.elect.business.konfiguration.entity.MandantKonfigurationWerte;

public class WahlvorschlagReihenfolgeBestaetigenKonfigurationInit extends AbstractKonfigurationInit {
  @Override
  protected Collection<Konfiguration> createDefaultParameters(KonfigurationInitContext konfigurationInitContext) {
    return Collections
        .singletonList(create(MandantKonfigurationWerte.WAHLVORSCHLAG_REIHENFOLGE_BESTAETIGEN_NACH_SPEICHERN, getAufteilenGebietrechteMitnehmen()));
  }

  protected Boolean getAufteilenGebietrechteMitnehmen() {
    return Boolean.TRUE;
  }
}
